maven执行compile找不到符号 5C

[INFO] Compiling 13 source files to C:\Users\Administrator\Workspaces\MyEclipse 2017 CI\ojama\target\classes
[INFO] -------------------------------------------------------------
[ERROR] COMPILATION ERROR :
[INFO] -------------------------------------------------------------
[ERROR] /C:/Users/Administrator/Workspaces/MyEclipse 2017 CI/ojama/src/main/java/com/ojama/business/util/ExcelAdapter.java:[207,53] 找不到符号
符号: 方法 getCellTypeEnum()
位置: 类型为org.apache.poi.xssf.usermodel.XSSFCell的变量 cell
[ERROR] /C:/Users/Administrator/Workspaces/MyEclipse 2017 CI/ojama/src/main/java/com/ojama/business/util/ExcelAdapter.java:[235,61] 找不到符号
符号: 方法 getCellTypeEnum()
位置: 类 org.apache.poi.xssf.usermodel.XSSFCell
[INFO] 2 errors
[INFO] -------------------------------------------------------------
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
用update project就好了。但是我要部署在别的电脑上。那台电脑没有IDE
pom文件

 <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>com</groupId>
    <artifactId>ojama</artifactId>
    <version>0.0.1-SNAPSHOT</version>
    <packaging>jar</packaging>
    <name>ojama</name>
    <url>http://maven.apache.org</url>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.0.3.RELEASE</version>
    </parent>
    <properties>
        <java.version>1.8</java.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>
    <dependencies>
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-simple</artifactId>
        </dependency>
        <dependency>
            <groupId>ch.qos.logback</groupId>
            <artifactId>logback-classic</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-thymeleaf</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi</artifactId>
            <version>3.17</version>
        </dependency>
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml</artifactId>
            <version>3.11</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-configuration-processor</artifactId>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.47</version>
        </dependency>
    </dependencies>
    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
        </plugins>
    </build>
</project>

6个回答

两台电脑的JDK都是1.8,在我电脑用mvn clean mvn compile 也是报这个错误。
他的电脑也是
但是我的电脑 update project 然后可以直接跑了

检查两台电脑环境是否完全相同

qq_41770939
qq_41770939 你可以试试把<scope>标签注释,有时候scope标签为因为界限问题而抛异常
大约一年之前 回复
jidong2622
ojama 在我这边mvn clean,mvn compile也是这个错误
大约一年之前 回复
jidong2622
ojama 一个有ide 一个没有,都是Java1.8 我这边update project了就可以了,但是发到他那边必须mvn clean一下。
大约一年之前 回复

你可以试试把标签注释,有时候scope标签为因为界限问题而抛异常

1.compile:默认值 他表示被依赖项目需要参与当前项目的编译,还有后续的测试,运行周期也参与其中,是一个比较强的依赖。打包的时候通常需要包含进去

2.test:依赖项目仅仅参与测试相关的工作,包括测试代码的编译和执行,不会被打包,例如:junit

3.runtime:表示被依赖项目无需参与项目的编译,不过后期的测试和运行周期需要其参与。与compile相比,跳过了编译而已。例如JDBC驱动,适用运行和测试阶段

4.provided:打包的时候可以不用包进去,别的设施会提供。事实上该依赖理论上可以参与编译,测试,运行等周期。相当于compile,但是打包阶段做了exclude操作

5.system:从参与度来说,和provided相同,不过被依赖项不会从maven仓库下载,而是从本地文件系统拿。需要添加systemPath的属性来定义路径

scope 改成 compile

问题解决了。

org.apache.poi
poi
3.17


org.apache.poi
poi-ooxml
3.11

3.11改成3.17就可以了。

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!